org.gradle.play.plugins

## Class PlayDistributionPlugin

- java.lang.Object
- - org.gradle.model.RuleSource
  - - org.gradle.play.plugins.PlayDistributionPlugin

-     @Incubating
      public class PlayDistributionPlugin
      extends RuleSource

  A plugin that adds a distribution zip to a Play application build.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DIST_LIFECYCLE_TASK_NAME`
    `static String` | `DISTRIBUTION_GROUP`
    `static String` | `STAGE_LIFECYCLE_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayDistributionPlugin()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISTRIBUTION_GROUP

          public static final String DISTRIBUTION_GROUP

      See Also:
        Constant Field Values

    - #### DIST_LIFECYCLE_TASK_NAME

          public static final String DIST_LIFECYCLE_TASK_NAME

      See Also:
        Constant Field Values

    - #### STAGE_LIFECYCLE_TASK_NAME

          public static final String STAGE_LIFECYCLE_TASK_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlayDistributionPlugin

          public PlayDistributionPlugin()